#
# spec file for package regex-parser
#
# Copyright (c) 2016 Peter Czanik, Budapest, Hungary.
#
# Please submit bugfixes or comments via
# https://github.com/balabit/syslog-ng/issues/
#

Name:		syslog-ng-regex-parser
Version:	0.3.0
Release:	1
Summary:	Regex parser for syslog-ng written in Rust
License:	GPL-2.0
Group:		System/Libraries
Url:		https://github.com/ihrwein/syslog-ng-rust-modules

# Source:	a tgz of the regex-parser subdirectory
#Source0:	regex-parser.tgz

# https://github.com/ihrwein/syslog-ng-rust-modules/archive/master.zip
Source:		master.zip

# Vendoring of all regex-parser dependencies from crates.io using
# cargo-vendor from https://github.com/alexcrichton/cargo-vendor and
# storing results together with a cargo config
Source1:	regex-parser-deps.tgz

BuildRequires:	syslog-ng-devel
BuildRequires:	ivykis-devel
BuildRequires:	rust-binary
BuildRequires:	git
BuildRequires:	unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Regex parser for syslog-ng written in Rust

%prep
%setup -n syslog-ng-rust-modules-master
%setup -D -T -a 1 -n syslog-ng-rust-modules-master

# build directory is needed in config files
export BDIR=`pwd`

# setup cargo registry
mkdir .cargo
echo     [registry] > .cargo/config
echo     index = \"file://$BDIR/vendor/index\" >> .cargo/config

# setup vendor repo and commit it
cd $BDIR/vendor/index
echo \{\"dl\":\"file://$BDIR/vendor/cache\",\"api\":\"\"\} > config.json
git config --global user.email "you@example.com"
git config --global user.name "Your Name"
git commit -a -m "this is a message"

%build
export CARGO_HOME=`pwd`/.cargo/
cd regex-parser
cargo build --release --verbose

%check
export CARGO_HOME=`pwd`/.cargo/
cd regex-parser
cargo test

%install
install -d -m755 %{buildroot}%{_libdir}/syslog-ng
install -m755 regex-parser/target/release/libregex_parser.so %{buildroot}%{_libdir}/syslog-ng/

%clean

%files
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/syslog-ng/libregex_parser.so

%changelog
* Wed Jul 20 2016 Peter Czanik <peter.czanik@balabit.com> - 0.2.1-1
- change to new upstream at
  https://github.com/ihrwein/syslog-ng-rust-modules
- update vendor sources
- use full rust modules source, due to some common sources

* Wed Jul  6 2016 Peter Czanik <peter.czanik@balabit.com> - 0.2.0-1
- initial version
